#2630 closed enhancement (fixed)

Protect time of day changes by a mutex

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: Indefinite
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Time of day (clock) changes (e.g. via rtems_clock_set() and clock_settime()) are currently protected by disabled thread dispatching. Use a mutex for this instead. This gives application more control over the importance of this operation.

Change History (5)

comment:1 Changed on May 2, 2016 at 10:08:41 AM by Sebastian Huber <sebastian.huber@…>

In 1ef8e4a8e93a848e2a68f37e029039300f1c936b/rtems:

score: Avoid Giant lock for set time of day

Update #2555.
Update #2630.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on May 11, 2017 at 7:42:40 AM by Sebastian Huber

Milestone: 4.12.05.0

comment:4 Changed on Aug 14, 2017 at 12:48:27 AM by Chris Johns

Milestone: 5.0Indefinite
Version: 4.10

comment:5 Changed on Dec 4, 2017 at 9:55:05 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 6c2b8a4b/rtems:

score: Use self-contained API mutex

Use a self-contained recursive mutex for API_Mutex_Control. The API
mutexes are protected against asynchronous thread cancellation.

Add dedicated mutexes for libatomic and TOD.

Close #2629.
Close #2630.

Note: See TracTickets for help on using tickets.